"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.publish = exports.groupList = exports.userList = exports.asset = exports.AUTHENTICATED = exports.LOGOUT = exports.LIST = void 0;
exports.LIST = "https://itemconfiguration.roblox.com/v1/creations/get-assets?assetType=24&isArchived=false&limit=100";
exports.LOGOUT = "https://auth.roblox.com/v2/logout";
exports.AUTHENTICATED = "https://users.roblox.com/v1/users/authenticated";
exports.asset = (id) => `https://assetdelivery.roblox.com/v1/asset/?id=${id}`;
exports.userList = (userId, cursor = "") => exports.LIST +
    (cursor !== "" ? `&cursor=${cursor}` : "");
exports.groupList = (groupId, cursor = "") => exports.LIST +
    `&groupId=${groupId}` +
    (cursor !== "" ? `cursor=${cursor}` : "");
exports.publish = (title, description, groupId) => "https://www.roblox.com/ide/publish/uploadnewanimation" +
    "?assetTypeName=Animation" +
    `&name=${encodeURIComponent(title)}` +
    `&description=${encodeURIComponent(description)}` +
    "&AllID=1" +
    "&ispublic=False" +
    "&allowComments=True" +
    "&isGamesAsset=False" +
    (groupId != null ? `&groupId=${groupId}` : "");
//# sourceMappingURL=endpoints.js.map